RecordAttribute
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.searchservice.searchlibrary.resultset.elements
Class RecordAttribute

    java.lang.Object
      org.gcube.common.searchservice.searchlibrary.resultset.elements.RecordAttribute

    public class RecordAttribute

extends java.lang.Object

Placeholder for attribute key values that can be placed in each result serialization

Author:
  UoA

Constructor Summary
`RecordAttribute(java.lang.String attrName, java.lang.String attrValue)` Creates a new `RecordAttribute`

Method Summary
`java.lang.String` | `getAttrName()` Retrieves the attribute name
`java.lang.String` | `getAttrValue()` Retrieves the attribute value
`void` | `setAttrName(java.lang.String attrName)` Sets the atribute name
`void` | `setAttrValue(java.lang.String attrValue)` Sets the atribute value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordAttribute

    public RecordAttribute(java.lang.String attrName,
                           java.lang.String attrValue)
                    throws java.lang.Exception

  Creates a new `RecordAttribute`

  Parameters:
    `attrName` - The attribute name. This cannot be null or zero lengthed
    `attrValue` - The attribute value. This cannot be null or zero lengthed
  Throws:
    `java.lang.Exception` - An unrecoverable for the operation error occured

Method Detail

### getAttrName

    public java.lang.String getAttrName()

  Retrieves the attribute name

  Returns:
    The attribute name

### setAttrName

    public void setAttrName(java.lang.String attrName)
                     throws java.lang.Exception

  Sets the atribute name

  Parameters:
    `attrName` - The attribute name. This cannot be null or zero lengthed
  Throws:
    `java.lang.Exception` - An unrecoverable for the operation error occured

### getAttrValue

    public java.lang.String getAttrValue()

  Retrieves the attribute value

  Returns:
    The attribute value

### setAttrValue

    public void setAttrValue(java.lang.String attrValue)
                      throws java.lang.Exception

  Sets the atribute value

  Parameters:
    `attrValue` - The attribute value. This cannot be null or zero lengthed
  Throws:
    `java.lang.Exception` - An unrecoverable for the operation error occured

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD